###############################################################################
#
#   MarathUp - Media Properties Dialog
#
###############################################################################

require "Marathon/PropertyUtils.rb"

module Marathon

	#----------------------------------------------------------------------------------
	
	MediaTypes = [
		"Water",
		"Lava",
		"Goo",
		"Sewage",
		"Jjaro Goo",
	]
	
	MediaFlags = [
		[0x1, "Sound obstructed by floor"],
	]

	MediaDialog = DialogDefinition.new("Liquid Properties", 330, 260, [
		StrAttr.new("name", "Name"),
		EnumAttr.new("type", "Type", MediaTypes),
		StrAttr.new("light_index", "Tide control"),
		FloatAttr.new("current_magnitude", "Flow speed (WU/sec)"),
		FlagsAttr.new("flags", 1, MediaFlags),
	])

	#----------------------------------------------------------------------------------
	
end # module Marathon
