###############################################################################
#
#   MarathUp - Ambient and random sound properties dialogs
#
###############################################################################

require "Marathon/PropertyUtils.rb"

module Marathon

	#----------------------------------------------------------------------------------

	SoundTypes = [ # TODO: Load from file
		"Water",
		"Sewage",
		"Lava",
		"Goo",
		"Under media",
		"Wind",
		"Waterfall",
		"Siren",
		"Fan",
		"S'pht door",
		"S'pht platform",
		"Heavy S'pht door",
		"Heavy S'pht platform",
		"Light machinery",
		"Heavy machinery",
		"Transformer",
		"Sparking transformer",
		"Machine binder",
		"Machine bookpress",
		"Machine puncher",
		"Electric hum",
		"Siren",
		"Night wind",
		"Pfhor door",
		"Pfhor platform",
		"Pfhor ship #1",
		"Pfhor ship #2",
		"Jjaro ship",
	]
	
	RandomSoundTypes = [ # TODO: Load from file
		"Dripping water",
		"Thunder",
		"Underground explosions",
		"Lh'owon loon",
		"Jjaro ship creak",
	]
	
	RandomSoundFlags = [
		[0x1, "Non-directional"],
	]
	
	AmbientSoundDialog = DialogDefinition.new("Ambient Sound Properties", 300, 200, [
		StrAttr.new("name", "Name"),
		EnumAttr.new("sound_index", "Type", SoundTypes),
		FloatAttr.new("volume", "Volume (0.0-1.0)"),
	])
	
	RandomSoundDialog = DialogDefinition.new("Random Sound Properties", 320, 400, [
		StrAttr.new("name", "Name"),
		EnumAttr.new("sound_index", "Type", RandomSoundTypes),
		FloatAttr.new("volume", "Volume (0.0-1.0)"),
		FloatAttr.new("delta_volume", "Delta volume"),
		IntAttr.new("period", "Period"),
		IntAttr.new("delta_period", "Delta period"),
		FloatAttr.new("delta_direction", "Delta direction (deg)"),
		FloatAttr.new("pitch", "Pitch"),
		FloatAttr.new("delta_pitch", "Delta pitch"),
		FlagsAttr.new("flags", 1, RandomSoundFlags),
	])

	#----------------------------------------------------------------------------------

end # module Marathon
