###########################################################################
#
#   MarathUp - Show the coordinates of a face in units of WU/1024.
#
###########################################################################

def do_marathup_show_coords()
	sel = Sketchup.active_model.selection
	result = []
	for obj in sel
		if obj.instance_of?(Sketchup::Face) or obj.instance_of?(Sketchup::Edge)
			for v in obj.vertices
				p = v.position
				result.push(format("%012.3f   %012.3f   %012.3f", p.x * 1024, p.y * 1024, p.z * 1024))
			end
			result.push("-----")
		end
	end
	text = result.join("\n")
	printf("\n%s\n", text)
	UI.messagebox(text, MB_MULTILINE)
end

if (not $MarathUp_ShowCoords)
	menu = marathon_submenu()
	menu.add_item("Show Coordinates") {
		do_marathup_show_coords()
	}
	$MarathUp_ShowCoords = true
end
